package org.adee.samples;

public class Hatchback extends Car {

	private int seats;

	public Hatchback(String make, String model, int seats) {
		super(make, model);
		this.seats = seats;
	}

	// copy constructor in sub-class
	public Hatchback(Hatchback hatchback) {
		super(hatchback.getMake(), hatchback.getModel());
		this.seats = hatchback.getSeats();
	}

	public int getSeats() {
		return seats;
	}

	public void setSeats(int seats) {
		this.seats = seats;
	}
}
