package org.adee.samples.deepCopy;

import org.adee.samples.deepCopy.CarWithEngine;
import org.adee.samples.shallowCopy.Engine;

public class DeepCopyDemo {

	public static void main(String[] args) {
		// original object
		CarWithEngine original = new CarWithEngine("Honda", "Brio", new Engine("ford-engine"));

		// copied object created with copy constructor
		CarWithEngine copied = new CarWithEngine(original);
		
		// modify the engine of the copied object
		// this will not impact the original object 
		// as it is deep copied.
		copied.getEngine().setEngineModel("fakeEngine");
		
		// this will print ford-engine
		System.out.println(original.getEngine().getEngineModel());
	}
}
