package org.adee.samples.shallowCopy;

public class CarWithEngine {

	private String make;
	private String model;
	private Engine engine;

	public CarWithEngine(String make, String model, Engine engine) {
		this.make = make;
		this.model = model;
		this.engine = engine;
	}

	// copy constructor
	public CarWithEngine(CarWithEngine carWithEngine) {
		this.make = carWithEngine.getMake();
		this.model = carWithEngine.getModel();
		
	    // shallow copy
		this.engine = carWithEngine.getEngine();
	}

	public String getMake() {
		return make;
	}

	public String getModel() {
		return model;
	}

	public Engine getEngine() {
		return engine;
	}
}
