package org.adee.samples.shallowCopy;

public class ShallowCopyDemo {

	public static void main(String[] args) {
		// original object
		CarWithEngine original = new CarWithEngine("Honda", "Brio", new Engine("ford-engine"));

		// copied object created with copy constructor
		CarWithEngine copied = new CarWithEngine(original);
		
		// modify the engine of the copied object
		copied.getEngine().setEngineModel("fakeEngine");
		
		// the engine of the source object is also modified
		// prints fakeEngine
		System.out.println(original.getEngine().getEngineModel());
	}
}
