package org.adee.samples.deepCopy;

import org.adee.samples.shallowCopy.Engine;

public class CarWithEngine {

	private String make;
	private String model;
	private Engine engine;

	public CarWithEngine(String make, String model, Engine engine) {
		this.make = make;
		this.model = model;
		this.engine = engine;
	}

	// copy constructor deep copy
	public CarWithEngine(CarWithEngine carWithEngine) {
		this.make = carWithEngine.getMake();
		this.model = carWithEngine.getModel();
		// this statement calls the copy constructor of class Engine
		this.engine = new Engine(carWithEngine.getEngine());
	}

	public String getMake() {
		return make;
	}

	public String getModel() {
		return model;
	}

	public Engine getEngine() {
		return engine;
	}
}
